diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index fd3a0bb..8308c27 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -120,7 +120,11 @@
 
       switch(variable && variable.vartype) {
         case "bool":
-          // There are no specific properties for BooleanCell.
+          /*
+           * bool cell and variable can not be stateless (i.e undefined).
+           * It should be either true or false.
+           */
+          opts.model.set("value", Boolean(opts.model.get("value")));
           break;
 
         case "enum":
